## rock-master-19.06-simulation-orogen-imumodel 0.20150427

=== CMakeLists.txt ===
PROJECT(imumodel)
cmake_minimum_required(VERSION 2.6)

SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/.orogen/config")
INCLUDE(imumodelBase)

# FIND_PACKAGE(KDL)
# FIND_PACKAGE(OCL)

=== tasks/CMakeLists.txt ===
# Generated from orogen/lib/orogen/templates/tasks/CMakeLists.txt

include(imumodelTaskLib)
ADD_LIBRARY(${IMUMODEL_TASKLIB_NAME} SHARED 
    ${IMUMODEL_TASKLIB_SOURCES})

add_dependencies(${IMUMODEL_TASKLIB_NAME}
    regen-typekit)

TARGET_LINK_LIBRARIES(${IMUMODEL_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${IMUMODEL_TASKLIB_DEPENDENT_LIBRARIES})
SET_TARGET_PROPERTIES(${IMUMODEL_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${IMUMODEL_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${IMUMODEL_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${IMUMODEL_TASKLIB_HEADERS}
    DESTINATION include/orocos/imumodel)

=== debian/changelog ===
rock-master-19.06-simulation-orogen-imumodel (0.20150427-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/orogen-imumodel.git
  * branch: refs/heads/master
  * commit: 2c1d7681cc2a2310c122cea6ebcf60b8e631c464
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Mon, 08 Jul 2019 14:04:25 +0200

=== debian/control ===
Source: rock-master-19.06-simulation-orogen-imumodel
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-19.06-base-orogen-std, rock-master-19.06-base-types, rock-master-19.06-ruby-orogen, rock-master-19.06-simulation-imumodel, rock-master-19.06-tools-logger, rock-master-19.06-tools-orogen-cpp-proxies, rock-master-19.06-tools-orogen-metadata, rock-master-19.06-tools-orogen-model-exporter, rock-master-19.06-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-simulation-orogen-imumodel
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-orogen-std, rock-master-19.06-base-types, rock-master-19.06-simulation-imumodel, rock-master-19.06-tools-logger, rock-master-19.06-tools-orogen-cpp-proxies, rock-master-19.06-tools-orogen-metadata, rock-master-19.06-tools-orogen-model-exporter, rock-master-19.06-tools-service-discovery
Description: Inertial Measurement Unit Model
 Rock component for the noise simulation of an IMU sensor using the shaping filter technique. It simulates deterministics and stochastics errors to a ideal measurement information.
  The detreministic noise are scale factor and bias offset. The stochastics errors are random walk, bias instability by a first Markov-Gauss approximation and rate random walk.
